Package org.apache.synapse.commons.emulator.http.consumer

# Class HttpResponseProcessHandler

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelInboundHandlerAdapter
org.apache.synapse.commons.emulator.http.consumer.HttpResponseProcessHandler

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

public class HttpResponseProcessHandler extends io.netty.channel.ChannelInboundHandlerAdapter

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

  `io.netty.channel.ChannelHandler.Sharable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpResponseProcessHandler(HttpConsumerContext consumerContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `channelActive(io.netty.channel.ChannelHandlerContext ctx)`
  `void`
  `channelRead(io.netty.channel.ChannelHandlerContext ctx, Object msg)`
  `void`
  `channelReadComplete(io.netty.channel.ChannelHandlerContext ctx)`
  `void`
  `exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, Throwable cause)`

  ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

  `channelInactive, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

  ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

  `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface io.netty.channel.ChannelHandler

  `handlerAdded, handlerRemoved`

- ## Constructor Details

  - ### HttpResponseProcessHandler

    public HttpResponseProcessHandler(HttpConsumerContext consumerContext)

- ## Method Details

  - ### channelActive

    public void channelActive(io.netty.channel.ChannelHandlerContext ctx) throws Exception
    Specified by:
      `channelActive` in interface `io.netty.channel.ChannelInboundHandler`
    Overrides:
      `channelActive` in class `io.netty.channel.ChannelInboundHandlerAdapter`
    Throws:
      `Exception`

  - ### channelRead

    public void channelRead(io.netty.channel.ChannelHandlerContext ctx, Object msg)
    Specified by:
      `channelRead` in interface `io.netty.channel.ChannelInboundHandler`
    Overrides:
      `channelRead` in class `io.netty.channel.ChannelInboundHandlerAdapter`

  - ### channelReadComplete

    public void channelReadComplete(io.netty.channel.ChannelHandlerContext ctx)
    Specified by:
      `channelReadComplete` in interface `io.netty.channel.ChannelInboundHandler`
    Overrides:
      `channelReadComplete` in class `io.netty.channel.ChannelInboundHandlerAdapter`

  - ### exceptionCaught

    public void exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, Throwable cause)
    Specified by:
      `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
    Specified by:
      `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
    Overrides:
      `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`